Bug 117829 - UI flicker in form designer text box content on mouseover or with text selection (correct with OpenGL rendering)
Summary: UI flicker in form designer text box content on mouseover or with text select...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Flickering-UI
  Show dependency treegraph
 
Reported: 2018-05-26 22:21 UTC by Balint Fodor
Modified: 2021-06-11 03:48 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Text flickers in text box while moving mouse over it (12.44 KB, application/vnd.sun.xml.base)
2018-05-26 22:22 UTC, Balint Fodor
Details
Video showing the phenomenon (17.71 MB, video/mp4)
2018-05-27 14:57 UTC, Balint Fodor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Balint Fodor 2018-05-26 22:21:22 UTC
It may not happen with a short text, but is clearly visible, when the text is long. When the mouse enters and exits the area, the text - or part of it - disappears for a moment, as if it is being refreshed.
I attach an example.
My computer may not be the fastest (Windows 10 64-bit Intel Pentium N4200 1.1 GHz), but I haven't noticed the same, when I open the file with OpenOffice.
Comment 1 Balint Fodor 2018-05-26 22:22:12 UTC
Created attachment 142301 [details]
Text flickers in text box while moving mouse over it
Comment 2 Robert Großkopf 2018-05-27 13:55:41 UTC
Tried this one. Opened the form, could set the cursor in the area without any problem.

My system: OpenSUSE 42.3 64bit rpm Linux
Tested with LO 6.0.4.2
Comment 3 Balint Fodor 2018-05-27 14:57:54 UTC
Created attachment 142315 [details]
Video showing the phenomenon

Okay, so it looks like it is a Windows-specific problem. I attach the video here.
Comment 4 Alex Thurgood 2018-05-29 09:31:20 UTC
To me, this sounds like a duplicate of bug 71087, applied to the form control object in Writer.

Some of the suggestions there are to try with OpenGL acceleration turned off or on, to see which gives the better result, and to update one's Nvidia graphics drivers if the computer has such a chip.
Comment 5 Balint Fodor 2018-05-29 10:23:22 UTC
OpenGL does make a difference! I turned it on, and the flickering is gone.
I cannot test Nvidia though, I don't have it.
Comment 6 Alex Thurgood 2018-05-31 07:00:05 UTC
@Stuart : what's your take on this ?
Comment 7 Xisco Faulí 2018-10-24 11:24:44 UTC
Hello Balint Fodor,
Some changes have been done to OpenGL recently.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 8 QA Administrators 2019-05-08 18:07:43 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-06-08 02:57:56 UTC Comment hidden (obsolete)
Comment 10 Balint Fodor 2019-06-11 16:04:34 UTC
The bug is still present, when OpenGL is not turned on.
Comment 11 Balint Fodor 2019-06-11 16:04:48 UTC
Version: 6.2.3.2 (x64)
Comment 12 V Stuart Foote 2019-06-11 17:09:12 UTC
Confirmed on Windows 10 Home 64-bit en-US (1809) with
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 87238627b025ee6aa61378667e56b1769d4460c2
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-09_03:04:32
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Setting rendering to default (Tools -> Options -> View unchecking Use OpenGL) opening this Base document, and selecting Form1 which opens into Form edit view.

On mouse over of the Text box its text will flicker, as will entering the Text box and scrolling the text, as will selection of the text.

This is a rendering issue in refreshing the canvas, seems the same as bug 118856 for the Help -> About dialog. And the similar form design mode bug 96500

For bug 113714 issue with Main menu, Miklos fixed that [1] adjusting from direct RenderContext to use a buffer--effectively double buffered.

IIUC OpenGL and GTK3 rendering already does the double buffering, so they are not affected. 

Enabling OpenGL rendering (and verifying it took) the "flicker" will vanish--on the Base Form1 view, and on the Help -> About dialog.

=-ref-=
[1] https://gerrit.libreoffice.org/#/c/72610/
Comment 13 V Stuart Foote 2019-06-11 18:24:10 UTC
QA - taming the overlong summary
Comment 14 QA Administrators 2021-06-11 03:48:56 UTC
Dear Balint Fodor,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug